#include <bits/stdc++.h>
#define ll long long 
#define endl "\n"
using namespace std;


int main(){
	ios::sync_with_stdio(0);cin.tie(0);
	ll n;
	cin>>n;
	vector <ll> x(n),y(n),z(n);
	
	for(int i=1;i<=n;i++) cin>>x[i];
	for(int i=1;i<=n;i++) cin>>y[i];
	for(int i=1;i<=n;i++) cin>>z[i];

	
	
	ll ans=0,index=0;
	ll f=0;
	for(int i=1;i<=n;i++){
		index=0; f=0;
		for(int j=1;j<=n;j++){	
			if(x[i]==y[j]) index=j;
		}
		for(int k=1;k<=n;k++){
			if(z[k]==index)ans++;
		}
	}
	
	cout<<ans;
	
	
	return 0;
}